create-api-catalog
curl --request POST \
--url https://api.notifly.tech/v1/projects/{projectId}/catalogs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalogs": [
{
"name": "products",
"description": "메시지 개인화용 상품 정보",
"data_classification": "non_personal",
"fields": [
{
"name": "id",
"type": "string"
},
{
"name": "name",
"type": "string"
},
{
"name": "price",
"type": "number"
},
{
"name": "tags",
"type": "array"
}
]
}
]
}
'import requests
url = "https://api.notifly.tech/v1/projects/{projectId}/catalogs"
payload = { "catalogs": [
{
"name": "products",
"description": "메시지 개인화용 상품 정보",
"data_classification": "non_personal",
"fields": [
{
"name": "id",
"type": "string"
},
{
"name": "name",
"type": "string"
},
{
"name": "price",
"type": "number"
},
{
"name": "tags",
"type": "array"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalogs: [
{
name: 'products',
description: '메시지 개인화용 상품 정보',
data_classification: 'non_personal',
fields: [
{name: 'id', type: 'string'},
{name: 'name', type: 'string'},
{name: 'price', type: 'number'},
{name: 'tags', type: 'array'}
]
}
]
})
};
fetch('https://api.notifly.tech/v1/projects/{projectId}/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "products",
"description": "메시지 개인화용 상품 정보",
"data_classification": "non_personal",
"fields": [
{
"name": "id",
"type": "string"
},
{
"name": "price",
"type": "number"
}
],
"num_items": 0,
"updated_at": "2026-08-04T12:00:00Z",
"links": {}
},
"error": null
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}카탈로그 관리
API 카탈로그 생성
비개인 참조 데이터를 저장할 API 카탈로그와 필드 스키마를 생성합니다.
POST
/
v1
/
projects
/
{projectId}
/
catalogs
create-api-catalog
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
경로 매개변수
노티플라이 프로젝트 ID입니다.
Required string length:
32Pattern:
^[a-f0-9]{32}$본문
application/json
API 카탈로그에는 비개인 참조 데이터만 저장할 수 있습니다. 값은 별도로 분류하거나 가리지 않고 저장한 그대로 반환합니다.
Required array length:
1 elementShow child attributes
Show child attributes
⌘I
